Update collaborator
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/collaborators/{collaborator_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"permissions": {
"can_manage_collaborators": true,
"can_manage_documents": true,
"can_manage_financials": true,
"can_manage_probate": true,
"can_use_tools": true
}
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/collaborators/{collaborator_id}"
payload = { "permissions": {
"can_manage_collaborators": True,
"can_manage_documents": True,
"can_manage_financials": True,
"can_manage_probate": True,
"can_use_tools": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
permissions: {
can_manage_collaborators: true,
can_manage_documents: true,
can_manage_financials: true,
can_manage_probate: true,
can_use_tools: true
}
})
};
fetch('https://api.example.com/v1/cases/{case_id}/collaborators/{collaborator_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K8CL02BJ1T88HRYE78AN7BBB",
"user_id": "<string>",
"email": "edith@example.com",
"first_name": "John",
"last_name": "Johnson",
"role": "editor",
"status": "accepted",
"invited_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"invited_by": "<string>",
"permissions": {
"can_manage_collaborators": false,
"can_manage_documents": true,
"can_manage_financials": true,
"can_manage_probate": false,
"can_use_tools": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Collaborators
Update collaborator
Update a collaborator’s role or permissions.
PATCH
/
cases
/
{case_id}
/
collaborators
/
{collaborator_id}
Update collaborator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Response
Collaborator updated.
Show child attributes
Show child attributes
⌘I

